# MistTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MistTag

Arena Tag class for Mist. Prevents Pokémon on the opposing side from lowering the stats of the Pokémon in the Mist.

#### Hierarchy (View Summary)

- ArenaTag
  - MistTag

- Defined in src/data/arena-tag.ts:117

##### Index

### Constructors

constructor

### Properties

side
sourceId?
sourceMove?
tagType
turnCount

### Methods

apply
getAffectedPokemon
getMoveName
getSourcePokemon
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new MistTag(turnCount: number, sourceId: number, side: ArenaTagSide ): MistTag

  #### Parameters

  - turnCount: number
  - sourceId: number
  - side: ArenaTagSide

  #### Returns MistTag

  Overrides ArenaTag.constructor

  - Defined in src/data/arena-tag.ts:118

## Properties

### side

side: ArenaTagSide = ArenaTagSide.BOTH

Inherited from ArenaTag.side

- Defined in src/data/arena-tag.ts:46

### `Optional` sourceId

sourceId?: number

Inherited from ArenaTag.sourceId

- Defined in src/data/arena-tag.ts:45

### `Optional` sourceMove

sourceMove?: Moves

Inherited from ArenaTag.sourceMove

- Defined in src/data/arena-tag.ts:44

### tagType

tagType: ArenaTagType

Inherited from ArenaTag.tagType

- Defined in src/data/arena-tag.ts:42

### turnCount

turnCount: number

Inherited from ArenaTag.turnCount

- Defined in src/data/arena-tag.ts:43

## Methods

### apply

- apply(
  _arena: Arena ,
  simulated: boolean,
  attacker: default ,
  cancelled: BooleanHolder ,
  ): boolean

  Cancels the lowering of stats

  #### Parameters

  - _arena: Arena

    the `Arena` containing this effect

  - simulated: boolean

    `true` if the effect should be applied quietly

  - attacker: default

    the `Pokemon` using a move into this effect.

  - cancelled: BooleanHolder

    a `BooleanHolder` whose value is set to `true` to flag the stat reduction as cancelled

  #### Returns boolean

  `true` if a stat reduction was cancelled; `false` otherwise

  Overrides ArenaTag.apply

  - Defined in src/data/arena-tag.ts:149

### getAffectedPokemon

- getAffectedPokemon(): default []

  Helper function that retrieves the Pokemon affected

  #### Returns default []

  list of PlayerPokemon or EnemyPokemon on the field

  Inherited from ArenaTag.getAffectedPokemon

  - Defined in src/data/arena-tag.ts:100

### getMoveName

- getMoveName(): null | string

  #### Returns null | string

  Inherited from ArenaTag.getMoveName

  - Defined in src/data/arena-tag.ts:72

### getSourcePokemon

- getSourcePokemon(): null | default

  Helper function that retrieves the source Pokemon

  #### Returns null | default

  The source `Pokemon` or `null` if none is found

  Inherited from ArenaTag.getSourcePokemon

  - Defined in src/data/arena-tag.ts:92

### lapse

- lapse(_arena: Arena ): boolean

  #### Parameters

  - _arena: Arena

  #### Returns boolean

  Inherited from ArenaTag.lapse

  - Defined in src/data/arena-tag.ts:68

### loadTag

- loadTag(source: any): void

  When given a arena tag or json representing one, load the data for it. This is meant to be inherited from by any arena tag with custom attributes

  #### Parameters

  - source: any

    An arena tag

  #### Returns void

  Inherited from ArenaTag.loadTag

  - Defined in src/data/arena-tag.ts:81

### onAdd

- onAdd(arena: Arena , quiet?: boolean): void

  #### Parameters

  - arena: Arena
  - quiet: boolean = false

  #### Returns void

  Overrides ArenaTag.onAdd

  - Defined in src/data/arena-tag.ts:122

### onOverlap

- onOverlap(_arena: Arena , _source: null | default ): void

  #### Parameters

  - _arena: Arena
  - _source: null | default

  #### Returns void

  Inherited from ArenaTag.onOverlap

  - Defined in src/data/arena-tag.ts:66

### onRemove

- onRemove(_arena: Arena , quiet?: boolean): void

  #### Parameters

  - _arena: Arena
  - quiet: boolean = false

  #### Returns void

  Inherited from ArenaTag.onRemove

  - Defined in src/data/arena-tag.ts:55